﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RangeColumn_DataChanging
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ViewModel vm = new ViewModel();
          
            chart.Series[0].ItemsSource = vm.Collection1;
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }
        public ObservableCollection<Model> Collection1 { get; set; }
        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            Collection1 = new ObservableCollection<Model>();
            Collection.Add(new Model() { XValue = 1, High = -4.7, Low = -4.75 });
            Collection.Add(new Model() { XValue = 2, High = -5.3, Low = -6.7 });
            Collection.Add(new Model() { XValue = 3, High = -2.4, Low = -5.4 });
            Collection.Add(new Model() { XValue = 4, High = -2.4, Low = -5.4 });
            Collection.Add(new Model() { XValue = 5, High = -2.6, Low = -6.7 });
            Collection.Add(new Model() { XValue = 6, High = -3.2, Low = -3.25 });


            Collection1.Add(new Model() { XValue = 1, High = -5.7, Low = -5.75 });
            Collection1.Add(new Model() { XValue = 2, High = -6.3, Low = -7.7 });
            Collection1.Add(new Model() { XValue = 3, High = -3.4, Low = -7.4 });
            Collection1.Add(new Model() { XValue = 4, High = -2.8, Low = -6.4 });
        }
    }

    public class Model
    {
        public double XValue { get; set; }
        public double High { get; set; }
        public double Low { get; set; }
    }

    public class LableConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var adornment = (value as ChartAdornment);
            var diff = (adornment.Item as Model).High - adornment.YData;

            if (diff <= 0.05 && diff != 0)
                return "";
            else
                return adornment.YData;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
